html, body {
    font-family: 'Inter', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    margin: 0;
    padding: 0;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #594AE2;
}

.btn-primary {
    color: #fff;
    background-color: #594AE2;
    border-color: #594AE2;
}

.btn-primary:hover {
    color: #fff;
    background-color: #4a3bc4;
    border-color: #4a3bc4;
}

.content {
    padding-top: 1.1rem;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,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) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

.loading-progress circle {
    fill: none;
    stroke: #e0e0e0;
    stroke-width: 0.6rem;
    transform-origin: 50% 50%;
    transform: rotate(-90deg);
}

.loading-progress circle:last-child {
    stroke: #594AE2;
    stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
    transition: stroke-dasharray 0.05s ease-in-out;
}

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

.loading-progress-text::after {
    content: var(--blazor-load-percentage-text, "Loading");
}
